For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Domains
      • GETGet Domain
      • GETGet Zone File
      • POSTCreate Domain
      • PATCHUpdate Domain
      • DELDelete Domain
      • POSTVerify Domain
LogoLogo
contact@agentmail.ccDiscord
API ReferenceDomains

Create Domain

POST
/v0/domains
POST
/v0/domains
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.domains.create(
8 domain="domain",
9 feedback_enabled=True,
10)
1{
2 "domain_id": "domain_id",
3 "domain": "domain",
4 "status": "NOT_STARTED",
5 "feedback_enabled": true,
6 "records": [
7 {
8 "type": "TXT",
9 "name": "name",
10 "value": "value",
11 "status": "MISSING",
12 "priority": 1
13 },
14 {
15 "type": "TXT",
16 "name": "name",
17 "value": "value",
18 "status": "MISSING",
19 "priority": 1
20 }
21 ],
22 "updated_at": "2024-01-15T09:30:00Z",
23 "created_at": "2024-01-15T09:30:00Z",
24 "pod_id": "pod_id",
25 "client_id": "client_id"
26}
**CLI:** ```bash agentmail domains create --domain example.com ```
Was this page helpful?
Previous

Update Domain

Next
Built with

CLI:

$agentmail domains create --domain example.com

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
domainstringRequired

The name of the domain (e.g., example.com).

feedback_enabledbooleanRequired
Bounce and complaint notifications are sent to your inboxes.

Response

This endpoint returns an object.
domain_idstring
The ID of the domain.
domainstring

The name of the domain (e.g., example.com).

statusenum
The verification status of the domain.
feedback_enabledboolean
Bounce and complaint notifications are sent to your inboxes.
recordslist of objects
A list of DNS records required to verify the domain.
updated_atdatetime
Time at which the domain was last updated.
created_atdatetime
Time at which the domain was created.
pod_idstring
ID of pod.
client_idstring
Client ID of domain.

Errors

400
Validation Error